SCAN_READ_OOB(9)

NAME
scan_read_oob - [GENERIC] Scan data+OOB region to buffer

SYNOPSIS

int scan_read_oob(struct mtd_info * mtd, uint8_t * buf, loff_t offs, size_t len);

ARGUMENTS

mtd
    MTD device structure

buf
    temporary buffer

offs
    offset at which to scan

len
    length of data region to read

DESCRIPTION

Scan read data from data+OOB. May traverse multiple pages, interleaving page,OOB,page,OOB,... in buf. Completes transfer and returns the “strongest” ECC condition (error or bitflip). May quit on the first (non-ECC) error.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT